Closed Bug 1414409 Opened 3 years ago Closed 1 year ago

[meta] Proposed list of "locked down" API's to allow Shield, Pioneer, Test Pilot to move to webExtensions only

Categories

(WebExtensions :: Compatibility, enhancement, P3)

42 Branch
enhancement

Tracking

(firefox57 wontfix)

RESOLVED FIXED
Tracking Status
firefox57 --- wontfix

People

(Reporter: glind, Unassigned)

References

()

Details

(Keywords: meta)

Review existing Shield, Pioneer, Test Pilot studies to suggest a consensus list of "locked down" api's.

Builds off the awesome work in https://bugzilla.mozilla.org/show_bug.cgi?id=1280235.
Keywords: meta
Priority: -- → P3
Depends on: 1280234
Blocks: 1419884
Product: Toolkit → WebExtensions
Summary: Proposed list of "locked down" API's to allow Shield, Pioneer, Test Pilot to move to webExtensions only → [meta] Proposed list of "locked down" API's to allow Shield, Pioneer, Test Pilot to move to webExtensions only

Update: Using the most recent version of shield-studies-addon-utils v5, we have been able to move Shield and Pioneer to webExtensions only. A proposed list of necessary API:s to move to tree can be found in https://github.com/mozilla/shield-studies-addon-utils/issues/278#issuecomment-459699115

Nit, grammar: APIs (not API's)

meta with no blockers, closing

Status: NEW → RESOLVED
Closed: 1 year ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.